package at.jku.ssw.graphviz;

/** An edge of a graph. */
public class Edge {

	public enum Kind {
		Directed, Undirected
	}

	public final Vertex start;
	public final Vertex end;
	public final int weight;
	public final Kind kind;

	/** Creates a directed edge. */
	public Edge(Vertex start, Vertex end) {
		this(start, end, Kind.Directed);
	}

	/** Creates an edge with the specified kind, directed or undirected. */
	public Edge(Vertex start, Vertex end, Kind kind) {
		this(start, end, 0, kind);
	}

	/**
	 * Creates an edge with the specified weight and kind (directed or
	 * undirected).
	 */
	public Edge(Vertex start, Vertex end, int weight, Kind kind) {
		this.start = start;
		this.end = end;
		this.weight = weight;
		this.kind = kind;
	}

}
